'Using a Serial LCD with Your PICAXE
'PICAXE Tutorial
'Experiment: LCD117 Demonstration
'18 Sep 2015
'Schematic: PA-08M2 Serial LCD Driver Circuit.dch
'Code: LCD117 Demo.bas
'Overview: Demonstrate programming using an LCD117 serial to parallel
	     'adapter to drive a 20x4 LCD with a PICAXE 08M2 via pinC.4.
#picaxe 08M2 'Identify the PICAXE being used as an 08M2.
#no_data 'Prevent data from being downloaded to PICAXE.

high C.4 'Set pinC.4 high while LCD117 boots.
	pause 5000 'Pause 5 seconds for LCD to boot.

main:
	serout C.4, T2400, ("?f")
	'Clear the LCD and home the cursor.
	
	serout C.4, T2400, ("AllAboutCircuits.com")
	'Send text only; new line is automatic.
	
	serout C.4, T2400, ("?i?iPICAXE & LCD117?n")
	'Forward cursor 2 spaces, send text, new line.
	
	serout C.4, T2400, ("?i?0?1?2?3?4?5?6?7?i?i?7?6?5?4?3?2?1?0?n")
	'Forward cursor 1 space, send custom characters foward,
	'forward cursor 2 spaces, send custom characters backward, new line.
	
	serout C.4, T2400, ("?x04Hello World")
	'Send cursor to column 4, send text.
	
	pause 5000 'Pause 5 seconds to admire the display.
	goto main 'Go to main and do it all again.